Ticktick integration: operations for AI agents
Ticktick connects to Type.com as an integration. This page lists the 47 operations documented for Claude and Codex in Type.com: 21 read, 20 write, 6 destructive.
About Ticktick
TickTick is a cross-platform task management and to-do list application designed to help users organize their tasks and schedules efficiently.
Categories: Productivity & Project Management
How to connect Ticktick to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
47 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
47 operations listed.
OAuth
- Destructive
Revoke Token
Revokes an access token, invalidating it immediately for all subsequent requests. Documented request fields and constraints: token *required*: The access token to revoke: string.
POST /oauth/revoke
preference
- Read
Get User Preferences
Returns the current user's preferences.
POST /open/v1/preference
project
- Read
Get Task By Project ID And Task ID
Documented request fields and constraints: Path: projectId *required*: Project identifier: string; Path: taskId *required*: Task identifier: string.
GET /open/v1/project/{projectId}/task/{taskId} - Read
Get Task Comments
Documented request fields and constraints: Path: projectId *required*: Project identifier: string; Path: taskId *required*: Task identifier: string.
GET /open/v1/project/{projectId}/task/{taskId}/comments - Read
Get User Project
Documented request fields and constraints: Query: offset: Zero-based result offset. When either pagination parameter is provided, omitted or negative values default to 0.: integer; Query: limit: Maximum number of projects to return. When either pagination parameter is provided, omitted or negative values default to 200.: integer.
GET /open/v1/project - Read
Get Project By ID
Documented request fields and constraints: Path: project *required*: Project identifier: string.
GET /open/v1/project/{projectId} - Read
Get Project With Data
Documented request fields and constraints: Path: projectId *required*: Project identifier: string.
GET /open/v1/project/{projectId}/data - Read
Get Project Members
Returns the members of a project. Documented request fields and constraints: Path: projectId *required*: Project identifier: string.
GET /open/v1/project/{projectId}/members - Read
Get Project Groups
The documented response example includes id, name, sortOrder, showAll, viewMode.
GET /open/v1/project/group - Read
Get Columns
Documented request fields and constraints: Path: projectId *required*: Project identifier: string.
GET /open/v1/project/{projectId}/column - Write
Complete Task
Documented request fields and constraints: Path: projectId *required*: Project identifier: string; Path: taskId *required*: Task identifier: string.
POST /open/v1/project/{projectId}/task/{taskId}/complete - Write
Add Task Comment
Documented request fields and constraints: Path: projectId *required*: Project identifier: string; Path: taskId *required*: Task identifier: string; Body: title *required*: Comment text: string.
POST /open/v1/project/{projectId}/task/{taskId}/comment - Write
Create Project
Documented request fields and constraints: Body: name *required*: name of the project: string; Body: color: color of project, eg. "#F18181": string; Body: sortOrder: sort order value of the project: integer (int64); Body: viewMode: view mode, "list", "kanban", "timeline": string; Body: kind: project kind, "TASK", "NOTE": string.
POST /open/v1/project - Write
Update Project
Documented request fields and constraints: Path: projectId *required*: project identifier: string; Body: name: name of the project: string; Body: color: color of the project: string; Body: sortOrder: sort order value, default 0: integer (int64); Body: viewMode: view mode, "list", "kanban", "timeline": string; Body: kind: project kind, "TASK", "NOTE": string.
POST /open/v1/project/{projectId} - Write
Create Project Group
Documented request fields and constraints: Body: name *required*: Project group name (max 64 chars): string.
POST /open/v1/project/group - Write
Update Project Group
Documented request fields and constraints: Path: projectGroupId *required*: Project group identifier: string; Body: name: Project group name (max 64 chars): string.
POST /open/v1/project/group/{projectGroupId} - Write
Create Column
Documented request fields and constraints: Path: projectId *required*: Project identifier: string; Body: name *required*: Column name (max 1000 chars): string.
POST /open/v1/project/{projectId}/column - Write
Update Column
Documented request fields and constraints: Path: projectId *required*: Project identifier: string; Path: columnId *required*: Column identifier: string; Body: name: Column name (max 1000 chars): string.
POST /open/v1/project/{projectId}/column/{columnId} - Destructive
Delete Task
Documented request fields and constraints: Path: projectId *required*: Project identifier: string; Path: taskId *required*: Task identifier: string.
DELETE /open/v1/project/{projectId}/task/{taskId} - Destructive
Delete Task Comment
Documented request fields and constraints: Path: projectId *required*: Project identifier: string; Path: taskId *required*: Task identifier: string; Path: id *required*: Comment identifier: string.
DELETE /open/v1/project/{projectId}/task/{taskId}/comment/{id} - Destructive
Delete Project
Documented request fields and constraints: Path: projectId *required*: Project identifier: string.
DELETE /open/v1/project/{projectId} - Destructive
Delete Project Group
Documented request fields and constraints: Path: projectGroupId *required*: Project group identifier: string.
DELETE /open/v1/project/group/{projectGroupId}
task
- Read
List Completed Tasks
Retrieves at most 200 tasks marked as completed within specific projects and a given time range. Documented request fields and constraints: Body: projectIds: List of project identifier: list; Body: startDate: The start of the time range (inclusive). Filters tasks where completedTime ≥ startDate: date; Body: endDate: The end of the time range (inclusive). Filters tasks where completedTime ≤ endDate: date.
POST /open/v1/task/completed - Read
Filter Tasks
Retrieves at most 200 tasks based on advanced filtering criteria, including project scope, date ranges, priority levels, tags, task kinds, and status. Documented request fields and constraints: Body: projectIds: Filters tasks belonging to the specified project ID: list; Body: startDate: Filters tasks where the task's startDate ≥ startDate: date; Body: endDate: Filters tasks where the task's startDate ≤ endDate: date; Body: priority: Filters tasks by specific priority levels, Valid Values: None(0), Low(1), Medium(3), High(5): list; Body: tag: Filters tasks that contain all of the specified tags: list; Body: kind: Filters tasks by task kind: list; Body: status: Filters tasks by their current status codes (e.g., [0] for Open, [2] for Completed): list.
POST /open/v1/task/filter - Read
List Undone Tasks
Retrieves undone tasks within a date range of up to 14 days. startDate and endDate are required; an invalid range returns an empty array. Documented request fields and constraints: Body: projectIds: Project IDs to search. Omit to search all accessible projects; use inbox for the inbox project.: string array; Body: taskIds: Restrict results to task IDs.: string array; Body: startDate *required*: Start of the date range.: string (date-time); Body: endDate *required*: End of the date range; must not precede startDate.: string (date-time).
POST /open/v1/task/undone - Read
Search Tasks
Searches tasks by keywords and optional project, tag, status, and due-date filters. A supplied keywords value must not be blank; a blank value returns an empty array. Documented request fields and constraints: Body: keywords: Text to search for.: string; Body: projectIds: Project IDs to search.: string array; Body: tags: Tags to filter by.: string array; Body: status: Task statuses to filter by.: integer array; Body: dueFrom: Include tasks due on or after this time.: string (date-time); Body: dueTo: Include tasks due on or before this time.: string (date-time).
POST /open/v1/task/search - Write
Create Task
Documented request fields and constraints: Body: title *required*: Task title: string; Body: projectId *required*: Project id: string; Body: content: Task content: string; Body: desc: Description of checklist: string; Body: isAllDay: All day: boolean; Body: startDate: Start date and time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2019-11-13T03:00:00+0000": date; Body: dueDate: Due date and time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2019-11-13T03:00:00+0000": date; Body: timeZone: The time zone in which the time is specified: String; Body: reminders: Lists of reminders specific to the task: list; Body: tags: Tags of the task: list; Body: repeatFlag: Recurring rules of task: string; Body: priority: The priority of task, default is "0": integer; Body: sortOrder: The order of task: integer; Body: items: The list of subtasks: list; Body: items.title: Subtask title: string; Body: items.startDate: Start date and time in "yyyy-MM-dd'T'HH:mm:ssZ" format: date; Body: items.isAllDay: All day: boolean; Body: items.sortOrder: The order of subtask: integer; Body: items.timeZone: The time zone in which the Start time is specified: string; Body: items.status: The completion status of subtask: integer; Body: items.completedTime: Completed time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2019-11-13T03:00:00+0000": date.
POST /open/v1/task - Write
Update Task
Documented request fields and constraints: Path: taskId *required*: Task identifier: string; Body: id *required*: Task id.: string; Body: projectId *required*: Project id.: string; Body: title: Task title: string; Body: content: Task content: string; Body: desc: Description of checklist: string; Body: isAllDay: All day: boolean; Body: startDate: Start date and time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2019-11-13T03:00:00+0000": date; Body: dueDate: Due date and time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2019-11-13T03:00:00+0000": date; Body: timeZone: The time zone in which the time is specified: String; Body: reminders: Lists of reminders specific to the task: list; Body: tags: Tags of the task: list; Body: repeatFlag: Recurring rules of task: string; Body: priority: The priority of task, default is "normal": integer; Body: sortOrder: The order of task: integer; Body: items: The list of subtasks: list; Body: items.title: Subtask title: string; Body: items.startDate: Start date and time in "yyyy-MM-dd'T'HH:mm:ssZ" format: date; Body: items.isAllDay: All day: boolean; Body: items.sortOrder: The order of subtask: integer; Body: items.timeZone: The time zone in which the Start time is specified: string; Body: items.status: The completion status of subtask: integer; Body: items.completedTime: Completed time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2019-11-13T03:00:00+0000": date.
POST /open/v1/task/{taskId} - Write
Complete Multiple Tasks
Completes up to 50 tasks in one project. If projectId is omitted or empty, the current user's inbox is used. Documented request fields and constraints: Body: projectId: Project identifier. Defaults to the current user's inbox when omitted or empty.: string; Body: taskIds *required*: Task IDs to complete. Only the first 50 IDs are processed.: string array.
POST /open/v1/task/completeTasks - Write
Move Task
Moves one or more tasks between projects. Documented request fields and constraints: Body: fromProjectId *required*: The ID of the source project: string; Body: toProjectId *required*: The ID of the destination project: string; Body: taskId *required*: The ID of the task to move: string.
POST /open/v1/task/move - Write
Batch Create or Update Tasks
Creates and updates tasks in a single request. Each add and update array supports up to 50 tasks. Documented request fields and constraints: Body: add: Tasks to create, up to 50 tasks: Task array; Body: update: Tasks to update, up to 50 tasks: Task array.
POST /open/v1/task/batch - Write
Assign Task
Assigns a task to a member of its project. Documented request fields and constraints: Body: projectId *required*: Project containing the task: string; Body: taskId *required*: Task identifier: string; Body: assigneeUsername *required*: Username of a project member: string.
POST /open/v1/task/assign - Write
Unassign Task
Removes the assignee from a task. Documented request fields and constraints: Body: projectId *required*: Project containing the task: string; Body: taskId *required*: Task identifier: string.
POST /open/v1/task/unassign
tag
- Read
Get Tags
The documented response example includes name, label, sortOrder, color, type.
GET /open/v1/tag - Write
Create Tag
Documented request fields and constraints: Body: name *required*: Tag name (max 64 chars, lowercase, trimmed): string; Body: label *required*: Tag label (max 64 chars, must match name when lowercased): string.
POST /open/v1/tag
focus
- Read
Get Focus By Focus ID
Documented request fields and constraints: Path: focusId *required*: Focus identifier: string; Query: type *required*: Focus type <br> Value : Pomodoro: 0, Timing: 1: integer (int32).
GET /open/v1/focus/{focusId} - Read
Get Focuses By Time Range
If the time range exceeds 30 days, the server automatically adjusts the start time to 30 days before to. Documented request fields and constraints: Query: from *required*: Range start time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2026-04-01T00:00:00+0800": string (date-time); Query: to *required*: Range end time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2026-04-02T00:00:00+0800": string (date-time); Query: type *required*: Focus type <br> Value : Pomodoro: 0, Timing: 1: integer (int32).
GET /open/v1/focus - Write
Create Focus
Documented request fields and constraints: Body: type *required*: Focus type <br> Value : Pomodoro: 0, Timing: 1: integer (int32); Body: taskId: Task id: string; Body: note: Focus note (max 5000 chars): string; Body: startTime: Focus start time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2026-04-07T09:00:00+0800": string (date-time); Body: endTime: Focus end time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2026-04-07T09:25:00+0800": string (date-time); Body: pauseDuration: Pause duration in seconds: integer (int32); Body: duration: Focus duration: integer (int64); Body: relationType: Relation types: < integer > array.
POST /open/v1/focus - Destructive
Delete Focus
Documented request fields and constraints: Path: focusId *required*: Focus identifier: string; Query: type *required*: Focus type <br> Value : Pomodoro: 0, Timing: 1: integer (int32).
DELETE /open/v1/focus/{focusId}
countdown
- Read
Get Countdowns
The documented response example includes id, type, name, date, color, reminders, sortOrder.
GET /open/v1/countdown
habit
- Read
Get Habit By Habit ID
Documented request fields and constraints: Path: habitId *required*: Habit identifier: string.
GET /open/v1/habit/{habitId} - Read
Get Habit Sections
Returns the current user's habit sections.
GET /open/v1/habit/sections - Read
Get All Habits
The documented response example includes id, name, repeatRule, status.
GET /open/v1/habit - Read
Get Habit Check-Ins
Documented request fields and constraints: Query: habitIds *required*: Habit identifiers, separated by commas <br> Example : habit-1,habit-2: string; Query: from *required*: Start date stamp in YYYYMMDD format <br> Example : 20260401: integer (int32); Query: to *required*: End date stamp in YYYYMMDD format <br> Example : 20260407: integer (int32).
GET /open/v1/habit/checkins - Write
Create Habit
Documented request fields and constraints: Body: name *required*: Habit name. Maximum length is 1000 characters: string; Body: iconRes: Habit icon resource: string; Body: color: Habit color: string; Body: sortOrder: Habit sort order: integer (int64); Body: status: Habit status: integer (int32); Body: encouragement: Habit encouragement message: string; Body: type: Habit type: string; Body: goal: Habit goal: number (double); Body: step: Habit step: number (double); Body: unit: Habit unit: string; Body: repeatRule: Habit repeat rule <br> Example : "RRULE:FREQ=DAILY;INTERVAL=1": string; Body: reminders: Habit reminders: < string > array; Body: recordEnable: Whether record is enabled: boolean; Body: sectionId: Habit section identifier: string; Body: targetDays: Target days: integer (int32); Body: targetStartDate: Target start date in YYYYMMDD format <br> Example : 20240101: integer (int32); Body: completedCycles: Completed cycles: integer (int32); Body: exDates: Excluded dates: < string > array; Body: style: Habit style: integer (int32).
POST /open/v1/habit - Write
Update Habit
Documented request fields and constraints: Path: habitId *required*: Habit identifier: string; Body: name: Habit name. If empty, it will be treated as null. Maximum length is 1000 characters: string; Body: iconRes: Habit icon resource: string; Body: color: Habit color: string; Body: sortOrder: Habit sort order: integer (int64); Body: status: Habit status: integer (int32); Body: encouragement: Habit encouragement message: string; Body: type: Habit type: string; Body: goal: Habit goal: number (double); Body: step: Habit step: number (double); Body: unit: Habit unit: string; Body: repeatRule: Habit repeat rule <br> Example : "RRULE:FREQ=DAILY;INTERVAL=1": string; Body: reminders: Habit reminders: < string > array; Body: recordEnable: Whether record is enabled: boolean; Body: sectionId: Habit section identifier: string; Body: targetDays: Target days: integer (int32); Body: targetStartDate: Target start date in YYYYMMDD format <br> Example : 20240101: integer (int32); Body: completedCycles: Completed cycles: integer (int32); Body: exDates: Excluded dates: < string > array; Body: style: Habit style: integer (int32).
POST /open/v1/habit/{habitId} - Write
Create Or Update Habit Check-In
Documented request fields and constraints: Path: habitId *required*: Habit identifier: string; Body: stamp *required*: Date stamp in YYYYMMDD format <br> Example : 20260407: integer (int32); Body: time: Check-in time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2026-04-07T08:00:00+0000": string (date-time); Body: opTime: Operation time in "yyyy-MM-dd'T'HH:mm:ssZ" format <br> Example : "2026-04-07T08:00:00+0000": string (date-time); Body: value: Check-in value. Default is 1.0: number (double); Body: goal: Check-in goal. Default is 1.0: number (double); Body: status: Check-in status: integer (int32).
POST /open/v1/habit/{habitId}/checkin
No operations match.
See How connections work for access and permissions, or browse all integrations.